\definecolor{dbwrru}{rgb}{0.8588235294117647,0.3803921568627451,0.0784313725490196}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-3,-0.5) rectangle (2.5,3);
\fill[line width=1pt,fill=dbwrru!30] (-2.5,2.5) -- (0,0) -- (2,2) -- cycle;
\draw[line width=0.8pt,fill=dbwrru] (0.3,0.3) -- (0,0.6) -- (-0.3,0.3) -- (0,0) -- cycle;
\draw [line width=1pt] (-2.5,2.5)-- (0,0);
\draw [line width=1pt] (0,0)-- node[right] {\rotatebox{45}{2cm}} (2,2);
\draw [line width=1pt] (2,2)-- node[above] {\rotatebox{-5}{5cm}} (-2.5,2.5);
\draw (0,-0.25) node {$A$};
\draw (2.25,2.25) node {$B$};
\draw (-2.75,2.75) node {$C$};
\end{tikzpicture}